Parte: Piano

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Plane and the translation is 8% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎čeština • ‎русский
Arrow-left.svg Previous: Part Primitives.svg Primitives
Next: Ellipsoid Part Ellipsoid.svg Arrow-right.svg

Part CreatePrimitives.svg Primitive

Posizione nel menu
Part → Crea primitive... → Piano
Ambiente
Part
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Cono,Cilindro, Sfera, Toro, Crea primitive...

Description

Descrizione

Crea un semplice Piano parametrico di 10 x 10 mm, con i parametri di posizionamento, lunghezza e larghezza.

Di default, il piano viene posizionato in corrispondenza dell'origine (punto 0,0,0).

Part Plane Example.png

Utilizzo

See Part Primitives.

Example

Part Plane from the scripting example

A Part Plane object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • DatiLength (Length): The length of the plane. This is the dimension in its X direction. The default is 10mm.
  • DatiWidth (Length): The width of the plane. This is the dimension in its Y direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Plane can be created with the addObject() method of the document:

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where "myPlane" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()


Arrow-left.svg Previous: Part Primitives.svg Primitives
Next: Ellipsoid Part Ellipsoid.svg Arrow-right.svg